Skip to content

抖音星图 API - KOL 内容表现 (V1)

此接口已过期

此接口已过时,可能会在未来的版本中被移除。请尽快迁移到新版本。

prod-global
GET
/api/douyin-xingtu/get-kol-rec-videos/v1

获取作者内容和视频表现 (旧版)。

请求参数

参数名位置类型必填说明
tokenquerystring用户鉴权令牌。
kolIdquerystringKOL ID。
acceptCachequeryboolean启用缓存。

代码示例

💡 环境说明

默认示例使用 https://api.justoneapi.com (prod-global)。中国大陆地区建议替换为 http://47.117.133.51:30015 (prod-cn) 以获得更好的访问体验。详见 环境选择

bash
# 提示: 中国大陆地区建议将 https://api.justoneapi.com 替换为 http://47.117.133.51:30015
curl -X GET "https://api.justoneapi.com/api/douyin-xingtu/get-kol-rec-videos/v1?token=YOUR_API_KEY&kolId=VALUE"
text
我想使用 Just One API 提供的“KOL 内容表现 (V1) [已弃用]”接口。
接口地址: https://api.justoneapi.com/api/douyin-xingtu/get-kol-rec-videos/v1
HTTP 方法: GET
身份验证: 在 URL 后添加查询参数“?token=您的API密钥”。
OpenAPI 定义: https://docs.justoneapi.com/openapi/douyin-xingtu-apis/kol-content-performance-v1-deprecated-zh.json

请求参数说明:
- token (query): 用户鉴权令牌。 (必填)
- kolId (query): KOL ID。 (必填)
- acceptCache (query): 启用缓存。

返回格式: JSON

响应处理与错误码:
1. 需通过返回体中的 "code" 字段判断业务结果(code 为 0 表示成功)。
2. 超时建议:建议将请求超时时间设置为至少 60 秒。
3. 业务码说明:
   - 0: 成功
   - 100: Token 无效或已失效
   - 301: 采集失败,请重试
   - 302: 超出速率限制
   - 303: 超出每日配额
   - 400: 参数错误
   - 500: 内部服务器错误
   - 600: 权限不足
   - 601: 余额不足

请帮我用我擅长的编程语言写一个脚本来调用这个接口,并处理返回结果。
python
# 提示: 中国大陆地区建议将 https://api.justoneapi.com 替换为 http://47.117.133.51:30015
import requests

url = "https://api.justoneapi.com/api/douyin-xingtu/get-kol-rec-videos/v1?token=YOUR_API_KEY&kolId=VALUE"
response = requests.get(url)
print(response.json())
js
// 提示: 中国大陆地区建议将 https://api.justoneapi.com 替换为 http://47.117.133.51:30015
const response = await fetch("https://api.justoneapi.com/api/douyin-xingtu/get-kol-rec-videos/v1?token=YOUR_API_KEY&kolId=VALUE", {
  method: "GET"
});
const data = await response.json();
console.log(data);
java
// 提示: 中国大陆地区建议将 https://api.justoneapi.com 替换为 http://47.117.133.51:30015
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;

public class Main {
    public static void main(String[] args) throws Exception {
        HttpClient client = HttpClient.newHttpClient();
        HttpRequest request = HttpRequest.newBuilder()
            .uri(URI.create("https://api.justoneapi.com/api/douyin-xingtu/get-kol-rec-videos/v1?token=YOUR_API_KEY&kolId=VALUE"))
            .method("GET", HttpRequest.BodyPublishers.noBody())
            .build();

        HttpResponse<String> response = client.send(request, HttpResponse.BodyHandlers.ofString());
        System.out.println(response.body());
    }
}
go
// 提示: 中国大陆地区建议将 https://api.justoneapi.com 替换为 http://47.117.133.51:30015
package main

import (
	"fmt"
	"io"
	"net/http"
)

func main() {
	client := &http.Client{}
	url := "https://api.justoneapi.com/api/douyin-xingtu/get-kol-rec-videos/v1?token=YOUR_API_KEY&kolId=VALUE"
	req, _ := http.NewRequest("GET", url, nil)
	resp, _ := client.Do(req)
	defer resp.Body.Close()
	body, _ := io.ReadAll(resp.Body)
	fmt.Println(string(body))
}
php
// 提示: 中国大陆地区建议将 https://api.justoneapi.com 替换为 http://47.117.133.51:30015
<?php
$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, "https://api.justoneapi.com/api/douyin-xingtu/get-kol-rec-videos/v1?token=YOUR_API_KEY&kolId=VALUE");
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "GET");
$response = curl_exec($ch);
curl_close($ch);
echo $response;

响应结果

json
{
  "code": 0,
  "data": {
    "base_resp": {
      "status_code": 0,
      "status_message": ""
    },
    "masterpiece_videos": [
      {
        "acu": 0,
        "avg_watch": 0,
        "barrage": 0,
        "biz_id": "0",
        "comment": 0,
        "core_user_id": "0",
        "create_time": 1758829144,
        "create_timestamp": 0,
        "duration": 0,
        "duration_min": 0,
        "fans_club": 0,
        "favorite": "0",
        "finish_time": 0,
        "head_image_uri": "",
        "head_image_uris": [],
        "head_image_url_signed": "",
        "height": "0",
        "impression": 0,
        "industry": "",
        "interact_rate": 0,
        "is_hot": false,
        "is_playlet": 0,
        "item_animated_cover": "",
        "item_cover": "",
        "item_date": "",
        "item_id": "7553989899192519974",
        "item_title": "",
        "like": 0,
        "live_status": 0,
        "max_watch": 0,
        "media_type": "0",
        "original_status": 0,
        "play": 8543418,
        "play_over_5min": 0,
        "read_cnt": "0",
        "repin": 0,
        "send_gift": 0,
        "send_prop": 0,
        "send_red_packet": 0,
        "share": 0,
        "status": 0,
        "title": "",
        "url": "",
        "video_id": "",
        "width": "0"
      },
      {
        "acu": 0,
        "avg_watch": 0,
        "barrage": 0,
        "biz_id": "0",
        "comment": 0,
        "core_user_id": "0",
        "create_time": 1764857152,
        "create_timestamp": 0,
        "duration": 0,
        "duration_min": 0,
        "fans_club": 0,
        "favorite": "0",
        "finish_time": 0,
        "head_image_uri": "",
        "head_image_uris": [],
        "head_image_url_signed": "",
        "height": "0",
        "impression": 0,
        "industry": "",
        "interact_rate": 0,
        "is_hot": false,
        "is_playlet": 0,
        "item_animated_cover": "",
        "item_cover": "",
        "item_date": "",
        "item_id": "7579880027882799283",
        "item_title": "",
        "like": 0,
        "live_status": 0,
        "max_watch": 0,
        "media_type": "0",
        "original_status": 0,
        "play": 7071310,
        "play_over_5min": 0,
        "read_cnt": "0",
        "repin": 0,
        "send_gift": 0,
        "send_prop": 0,
        "send_red_packet": 0,
        "share": 0,
        "status": 0,
        "title": "",
        "url": "",
        "video_id": "",
        "width": "0"
      }
    ],
    "newest_videos": [
      {
        "acu": 0,
        "avg_watch": 0,
        "barrage": 0,
        "biz_id": "0",
        "comment": 0,
        "core_user_id": "0",
        "create_time": 1771622436,
        "create_timestamp": 0,
        "duration": 0,
        "duration_min": 0,
        "fans_club": 0,
        "favorite": "0",
        "finish_time": 0,
        "head_image_uri": "",
        "head_image_uris": [],
        "head_image_url_signed": "",
        "height": "0",
        "impression": 0,
        "industry": "",
        "interact_rate": 0,
        "is_hot": false,
        "is_playlet": 0,
        "item_animated_cover": "",
        "item_cover": "",
        "item_date": "",
        "item_id": "7608935920095612211",
        "item_title": "",
        "like": 0,
        "live_status": 0,
        "max_watch": 0,
        "media_type": "0",
        "original_status": 0,
        "play": 3020822,
        "play_over_5min": 0,
        "read_cnt": "0",
        "repin": 0,
        "send_gift": 0,
        "send_prop": 0,
        "send_red_packet": 0,
        "share": 0,
        "status": 0,
        "title": "",
        "url": "",
        "video_id": "",
        "width": "0"
      },
      {
        "acu": 0,
        "avg_watch": 0,
        "barrage": 0,
        "biz_id": "0",
        "comment": 0,
        "core_user_id": "0",
        "create_time": 1771203143,
        "create_timestamp": 0,
        "duration": 0,
        "duration_min": 0,
        "fans_club": 0,
        "favorite": "0",
        "finish_time": 0,
        "head_image_uri": "",
        "head_image_uris": [],
        "head_image_url_signed": "",
        "height": "0",
        "impression": 0,
        "industry": "",
        "interact_rate": 0,
        "is_hot": false,
        "is_playlet": 0,
        "item_animated_cover": "",
        "item_cover": "",
        "item_date": "",
        "item_id": "7607135237205921062",
        "item_title": "",
        "like": 0,
        "live_status": 0,
        "max_watch": 0,
        "media_type": "0",
        "original_status": 0,
        "play": 3387627,
        "play_over_5min": 0,
        "read_cnt": "0",
        "repin": 0,
        "send_gift": 0,
        "send_prop": 0,
        "send_red_packet": 0,
        "share": 0,
        "status": 0,
        "title": "",
        "url": "",
        "video_id": "",
        "width": "0"
      }
    ],
    "order_hot_videos": [],
    "personal_hot_videos": [
      {
        "acu": 0,
        "avg_watch": 0,
        "barrage": 0,
        "biz_id": "0",
        "comment": 0,
        "core_user_id": "0",
        "create_time": 1761164868,
        "create_timestamp": 0,
        "duration": 0,
        "duration_min": 0,
        "fans_club": 0,
        "favorite": "0",
        "finish_time": 0,
        "head_image_uri": "",
        "head_image_uris": [],
        "head_image_url_signed": "",
        "height": "0",
        "impression": 0,
        "industry": "",
        "interact_rate": 0,
        "is_hot": false,
        "is_playlet": 0,
        "item_animated_cover": "",
        "item_cover": "",
        "item_date": "",
        "item_id": "7564021773411372327",
        "item_title": "",
        "like": 0,
        "live_status": 0,
        "max_watch": 0,
        "media_type": "0",
        "original_status": 0,
        "play": 19764567,
        "play_over_5min": 0,
        "read_cnt": "0",
        "repin": 0,
        "send_gift": 0,
        "send_prop": 0,
        "send_red_packet": 0,
        "share": 0,
        "status": 0,
        "title": "",
        "url": "",
        "video_id": "",
        "width": "0"
      },
      {
        "acu": 0,
        "avg_watch": 0,
        "barrage": 0,
        "biz_id": "0",
        "comment": 0,
        "core_user_id": "0",
        "create_time": 1762544325,
        "create_timestamp": 0,
        "duration": 0,
        "duration_min": 0,
        "fans_club": 0,
        "favorite": "0",
        "finish_time": 0,
        "head_image_uri": "",
        "head_image_uris": [],
        "head_image_url_signed": "",
        "height": "0",
        "impression": 0,
        "industry": "",
        "interact_rate": 0,
        "is_hot": false,
        "is_playlet": 0,
        "item_animated_cover": "",
        "item_cover": "",
        "item_date": "",
        "item_id": "7569946527527885642",
        "item_title": "",
        "like": 0,
        "live_status": 0,
        "max_watch": 0,
        "media_type": "0",
        "original_status": 0,
        "play": 9971415,
        "play_over_5min": 0,
        "read_cnt": "0",
        "repin": 0,
        "send_gift": 0,
        "send_prop": 0,
        "send_red_packet": 0,
        "share": 0,
        "status": 0,
        "title": "",
        "url": "",
        "video_id": "",
        "width": "0"
      }
    ]
  }
}

💡 提示:为简化展示,列表类数据样例仅保留 1-2 条记录,实际返回条数以接口响应为准。